Subject: Re: bug#65902: 29.0.92; emacsclient-mail.desktop fails due to complicated escaping

From: Robert Pluim <[email-masked]>
Date: Wed, 13 Sep 2023 16:22:43 +0200

>>>>> On Wed, 13 Sep 2023 16:06:07 +0300, Eli Zaretskii <[email-masked]> said:

    >> Cc: [email-masked], [email-masked]
    >> From: Robert Pluim <[email-masked]>
    >> Date: Wed, 13 Sep 2023 10:00:00 +0200
    >> 
    >> >>>>> On Tue, 12 Sep 2023 20:46:54 -0700, Jim Porter <[email-masked]> said:
    >> 
    Jim> On 9/12/2023 7:30 PM, [email-masked] wrote:
    >> >> tags 65902 + patch
    >> >> quit
    >> >> This patch avoids the complicated scripting needed for
    >> >> emacsclient-mail.desktop by adding a new flag to emacsclient, --funcall,
    >> >> which mirrors emacs --funcall and allows emacsclient-mail.desktop to be
    >> >> basically the same as emacs-mail.desktop.
    >> 
    Jim> I think this is actually the same as the (very long) bug#57752, so
    Jim> thanks for working on this. (It was on my list of things to get to,
    Jim> but I just haven't had time.)
    >> 
    >> 57752 got bogged down in design paralysis :-)

    Eli> And where do you think we will get here, if we retrace all the
    Eli> arguments and counter-arguments voiced there?

I was not intending to do that, I was intending to advocate for
Spencerʼs work to go in pretty much as-is (modulo calling it '--apply'
rather than '--funcall').

Robert
--